ferram4

[1.3] Kerbal Joint Reinforcement v3.3.3 7/24/17

Recommended Posts

And KJR v3.1.5 is now officially out, with 1.1 compatibility and all that good news.  Win64 is also no longer locked on, but that isn't noted in the changelog because apparently there is some law of the universe that says that I need to forget to add something important to the changelog.  Anyway, have fun.

Share this post


Link to post
Share on other sites
On ‎4‎/‎16‎/‎2016 at 7:40 AM, technicalfool said:

Pretty sure Ferram knows his mods are popular.

Well I'm going to stress the point: *clears throat*

"Kerbal Joint Reinforcement is the single greatest thing since pre-sliced bread!"

That is all.

Carry on.

1 minute ago, ferram4 said:

And KJR v3.1.5 is now officially out, with 1.1 compatibility and all that good news.  Win64 is also no longer locked on, but that isn't noted in the changelog because apparently there is some law of the universe that says that I need to forget to add something important to the changelog.  Anyway, have fun.

Holy crap. That literally happened as I was typing my other post. This must be the best day ever.

Share this post


Link to post
Share on other sites
13 minutes ago, MailletC said:

"Kerbal Joint Reinforcement is the single greatest thing since pre-sliced bread!"

No it's not.

But pretty damn good & useful.

Share this post


Link to post
Share on other sites

Is this still necessary in v1.1?  I haven't been able to get enough of my mods or plugins working enough to actually build a 'flyable' craft, be it a rover or spaceplane or rocket or whatever, so I'm genuinely asking.  :)

Share this post


Link to post
Share on other sites
23 minutes ago, Neutrinovore said:

Is this still necessary in v1.1?  I haven't been able to get enough of my mods or plugins working enough to actually build a 'flyable' craft, be it a rover or spaceplane or rocket or whatever, so I'm genuinely asking.  :)

Yes still necessary 

Edited by Berlin

Share this post


Link to post
Share on other sites
5 hours ago, ferram4 said:

And KJR v3.1.5 is now officially out, with 1.1 compatibility and all that good news.  Win64 is also no longer locked on...

Wonderful news, I can play KSP again! Don't blame you one bit for disabling it on the unstable KSP build either. I hate to nitpick but I did notice that this line:

Note: To avoid possibly exacerbating any of the win64 KSP build's instability inherent issues, this mod will disable itself if run on a win64 build of KSP.

is still in the OP of this topic directly above the Github download link. It may confuse folks who didn't use KJR before KSP 1.1 was released and may discourage them from downloading this mod that they desperately need :D

Share this post


Link to post
Share on other sites

Whoops; knew I missed something.  And now the contractually obligated error somewhere has been fixed.  Thanks.

Share this post


Link to post
Share on other sites

Thank you, Ferram4!! :D

Edited by sumghai
Restored font size to normal and removed unnecessary all caps text

Share this post


Link to post
Share on other sites

I want to thank the modmaker for this wonderful mod, as it is one of the few I feel I absolutely need to be able to play due to KSP's method of physics wobble.  You are the best, sir/madam.

Share this post


Link to post
Share on other sites

Thanks @ferram4 - this is one of the most understated and useful mods out there, great to see it ready for 1.1!

Share this post


Link to post
Share on other sites
On 27/10/2013 at 9:04 AM, ferram4 said:

Currently I do not anticipate the need to relock on win64 at any time in the future.

Heresy ! My popcorn provider will be out of job :(

Share this post


Link to post
Share on other sites

The more I think about it This may be the one mod I can't live without. You sir are the man! Now where is that donate button? I demand to buy you a beer!

Share this post


Link to post
Share on other sites
19 minutes ago, gary85 said:

so it will work with 64bit client or not ? im confused.

Yes, it works in 64bit :).

Share this post


Link to post
Share on other sites

I'm running a game of Realistic Progress Zero, and my CKAN has notified me that this mod should be updated.  What's strange is that it's telling me 3.1.4 is aimed at KSP version 0.25, so I should update to 3.1.5.


I'm still rocking KSP 1.0.5 though, because I suspect most of my mods have no made the jump to 1.1.  So will downloading 1.1 mods (such as this one) work with my 1.0.5 install?

Share this post


Link to post
Share on other sites

No it will not.  In addition, 3.1.4 is aimed at v1.0.4/v1.0.5.  I have no idea why CKAN is engaging in these shenanigans right now, and there's nothing I can do about it.

Share this post


Link to post
Share on other sites

@NathanKell altered us to this via IRC. I took a look at KerbalJointReinforcement-v3.1.5 and it has "ksp_version": "1.1.0" set. KerbalJointReinforcement-v3.1.4 is "ksp_version_min": "1.0.2" and "ksp_version_max": "1.0.5". As to KSP 0.25 the only version of KJR we index compatible with that is KerbalJointReinforcement-v2.4.4.

Unless a user has an incorrect buildID.txt or readme.txt there's no reason they would be able to upgrade to KerbalJointReinforcement-v3.1.5 while using KSP 1.0.5.

All that said I think any further discussion of this belongs in a CKAN github issue or the CKAN ksp forum thread as this isn't a KJR issue.

Edited by plague006
Add links

Share this post


Link to post
Share on other sites

Suggestion - remove exclusion for procedural wings. I did it - and absolutely zero bugs occurred.

Share this post


Link to post
Share on other sites

I'm only posting this for fun,

. Kerbal Joint Reinforcement is the next best thing since sliced cheese. Way better than bread!

 

Share this post


Link to post
Share on other sites

It was not removed because it slipped my mind.  Too much other stuff going on.

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.